propel:
  _attributes:               { package: plugins.catalyz.lib.model }
  node:
    _attributes:             { isI18N: true, i18nTable: node_i18n }
    id:
    is_public:               { type: boolean, required: true, default: true }
    node_class:              { type: varchar(255), required: true }
    url_provider:            { type: integer, required: false}
    open_target_provider:    { type: integer, required: false}
    # --- Credentials
    perms_type:              { type: tinyint, default: 1 }
    credentials:             { type: longvarchar }
    # --- Champs pour gérer l'arborescence des noeuds
    tree_left:               { type: integer, index: true, required: true }
    tree_right:              { type: integer, index: true, required: true }
    tree_parent:             { type: integer, index: true }
    tree_id:                 { type: integer, index: true, required: true, default: 1 }
    # Menu
    is_visible_in_menu:      { type: boolean, required: true, default: true }
    # --- Layout
    current_layout:          { type: varchar(255), required: false }
    current_layout_type:     { type: integer, required: true }
    # --- Champs standards
    created_at:
    updated_at:

  node_i18n:
    id:                      { type: integer, required: true, primaryKey: true, foreignTable: node, foreignReference: id, onDelete: cascade }
    culture:                 { isCulture: true, type: varchar, size: 7, required: true, primaryKey: true, index: true }
    url_type:                { type: integer, required: true }
    url_identifier:          { type: varchar(255), required: false }
    title:                   { type: varchar(255), required: true }
    sub_title:               { type: varchar(255), required: false }
    browser_title_type:      { type: integer, required: true }
    browser_title_content:   { type: varchar(255), required: false }
    seo_keywords_type:       { type: integer, required: true }
    seo_keywords_content:    { type: varchar(255), required: false }
    seo_description_type:    { type: integer, required: true }
    seo_description_content: { type: varchar(255), required: false }
    menu_title_type:         { type: integer, required: true }
    menu_title_content:      { type: varchar(255), required: false }